# YAMLSection (SubServers.Bungee)

net.ME1312.SubServers.Bungee.Library.Config

## Class YAMLSection

- java.lang.Object
- - net.ME1312.SubServers.Bungee.Library.Config.YAMLSection

    public class YAMLSection
    extends java.lang.Object

YAML Config Section Class

### Constructor Summary

Constructors
Constructor and Description
`YAMLSection()` Creates an empty YAML Section
`YAMLSection(java.io.InputStream stream)` Creates a YAML Section from an Input Stream
`YAMLSection(org.json.JSONObject json)` Creates a YAML Section from JSON Contents
`YAMLSection(java.io.Reader reader)` Creates a YAML Section from a Reader
`YAMLSection(java.lang.String str)` Creates a YAML Section from String

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()` Remove all Objects from this YAML Section
`YAMLSection` `clone()` Clone this YAML Section
`boolean` `contains(java.lang.String handle)` Check if a Handle exists
`YAMLValue` `get(java.lang.String handle)` Get an Object by Handle
`YAMLValue` `get(java.lang.String handle, java.lang.Object def)` Get an Object by Handle
`YAMLValue` `get(java.lang.String handle, YAMLValue def)` Get an Object by Handle
`boolean` `getBoolean(java.lang.String handle)` Get a Boolean by Handle
`boolean` `getBoolean(java.lang.String handle, boolean def)` Get a Boolean by Handle
`java.util.List<java.lang.Boolean>` `getBooleanList(java.lang.String handle)` Get a Boolean List by Handle
`java.util.List<java.lang.Boolean>` `getBooleanList(java.lang.String handle, java.util.List<java.lang.Boolean> def)` Get a Boolean List by Handle
`java.lang.String` `getColoredString(java.lang.String handle, char color)` Get a Colored String by Handle
`java.lang.String` `getColoredString(java.lang.String handle, java.lang.String def, char color)` Get a Colored String by Handle
`java.util.List<java.lang.String>` `getColoredStringList(java.lang.String handle, char color)` Get a Colored String List by Handle
`java.util.List<java.lang.String>` `getColoredStringList(java.lang.String handle, java.util.List<java.lang.String> def, char color)` Get a Colored String List by Handle
`double` `getDouble(java.lang.String handle)` Get a Double by Handle
`double` `getDouble(java.lang.String handle, double def)` Get a Double by Handle
`java.util.List<java.lang.Double>` `getDoubleList(java.lang.String handle)` Get a Double List by Handle
`java.util.List<java.lang.Double>` `getDoubleList(java.lang.String handle, java.util.List<java.lang.Double> def)` Get a Double List by Handle
`float` `getFloat(java.lang.String handle)` Get a Float by Handle
`float` `getFloat(java.lang.String handle, float def)` Get a Float by Handle
`java.util.List<java.lang.Float>` `getFloatList(java.lang.String handle)` Get a Float List by Handle
`java.util.List<java.lang.Float>` `getFloatList(java.lang.String handle, float def)` Get a Float List by Handle
`int` `getInt(java.lang.String handle)` Get an Integer by Handle
`int` `getInt(java.lang.String handle, int def)` Get an Integer by Handle
`java.util.List<java.lang.Integer>` `getIntList(java.lang.String handle)` Get an Integer List by Handle
`java.util.List<java.lang.Integer>` `getIntList(java.lang.String handle, java.util.List<java.lang.Integer> def)` Get an Integer List by Handle
`java.util.Set<java.lang.String>` `getKeys()` Get the Keys
`java.util.List<YAMLValue>` `getList(java.lang.String handle)` Get a List by Handle
`java.util.List<YAMLValue>` `getList(java.lang.String handle, java.util.Collection<?> def)` Get a List by Handle
`java.util.List<YAMLValue>` `getList(java.lang.String handle, java.util.List<? extends YAMLValue> def)` Get a List by Handle
`long` `getLong(java.lang.String handle)` Get a Long by Handle
`long` `getLong(java.lang.String handle, long def)` Get a Long by Handle
`java.util.List<java.lang.Long>` `getLongList(java.lang.String handle)` Get a Long List by Handle
`java.util.List<java.lang.Long>` `getLongList(java.lang.String handle, java.util.List<java.lang.Long> def)` Get a Long List by Handle
`java.lang.Object` `getObject(java.lang.String handle)` Get a Object by Handle
`java.lang.Object` `getObject(java.lang.String handle, java.lang.Object def)` Get a Object by Handle
`java.util.List<?>` `getObjectList(java.lang.String handle)` Get a Object List by Handle
`java.util.List<?>` `getObjectList(java.lang.String handle, java.util.List<?> def)` Get a Object List by Handle
`java.lang.String` `getRawString(java.lang.String handle)` Get an Unparsed String by Handle
`java.lang.String` `getRawString(java.lang.String handle, java.lang.String def)` Get an Unparsed String by Handle
`java.util.List<java.lang.String>` `getRawStringList(java.lang.String handle)` Get an Unparsed String List by Handle
`java.util.List<java.lang.String>` `getRawStringList(java.lang.String handle, java.util.List<java.lang.String> def)` Get an Unparsed String List by Handle
`YAMLSection` `getSection(java.lang.String handle)` Get a YAML Section by Handle
`YAMLSection` `getSection(java.lang.String handle, java.util.Map<java.lang.String,?> def)` Get a YAML Section by Handle
`YAMLSection` `getSection(java.lang.String handle, YAMLSection def)` Get a YAML Section by Handle
`java.util.List<YAMLSection>` `getSectionList(java.lang.String handle)` Get a YAML Section List by Handle
`java.util.List<YAMLSection>` `getSectionList(java.lang.String handle, java.util.Collection<? extends java.util.Map<java.lang.String,?>> def)` Get a YAML Section List by Handle
`java.util.List<YAMLSection>` `getSectionList(java.lang.String handle, java.util.List<? extends YAMLSection> def)` Get a YAML Section List by Handle
`short` `getShort(java.lang.String handle)` Get a Short by Handle
`short` `getShort(java.lang.String handle, short def)` Get a Short by Handle
`java.util.List<java.lang.Short>` `getShortList(java.lang.String handle)` Get a Short List by Handle
`java.util.List<java.lang.Short>` `getShortList(java.lang.String handle, java.util.List<java.lang.Short> def)` Get a Short List by Handle
`java.lang.String` `getString(java.lang.String handle)` Get a String by Handle
`java.lang.String` `getString(java.lang.String handle, java.lang.String def)` Get a String by Handle
`java.util.List<java.lang.String>` `getStringList(java.lang.String handle)` Get a String List by Handle
`java.util.List<java.lang.String>` `getStringList(java.lang.String handle, java.util.List<java.lang.String> def)` Get a String List by Handle
`java.util.UUID` `getUUID(java.lang.String handle)` Get a UUID by Handle
`java.util.UUID` `getUUID(java.lang.String handle, java.util.UUID def)` Get a UUID by Handle
`java.util.List<java.util.UUID>` `getUUIDList(java.lang.String handle)` Get a UUID List by Handle
`java.util.List<java.util.UUID>` `getUUIDList(java.lang.String handle, java.util.List<java.util.UUID> def)` Get a UUID List by Handle
`java.util.Collection<YAMLValue>` `getValues()` Get the Values
`boolean` `isBoolean(java.lang.String handle)` Check if object is a Boolean by Handle
`boolean` `isDouble(java.lang.String handle)` Check if object is a Double by Handle
`boolean` `isFloat(java.lang.String handle)` Check if object is a Float by Handle
`boolean` `isInt(java.lang.String handle)` Check if object is an Integer by Handle
`boolean` `isList(java.lang.String handle)` Check if object is a List by Handle
`boolean` `isLong(java.lang.String handle)` Check if object is a Long by Handle
`boolean` `isSection(java.lang.String handle)` Check if object is a YAML Section by Handle
`boolean` `isString(java.lang.String handle)` Check if object is a String by Handle
`boolean` `isUUID(java.lang.String handle)` Check if object is a UUID by Handle
`void` `remove(java.lang.String handle)` Remove an Object by Handle
`<V> void` `safeSet(java.lang.String handle, java.util.Collection<V> list)` Set Collection<V> into this YAML Section without overwriting existing value
`void` `safeSet(java.lang.String handle, java.lang.Object value)` Set Object into this YAML Section without overwriting existing value
`<V> void` `set(java.lang.String handle, java.util.Collection<V> list)` Set Collection<V> into this YAML Section
`void` `set(java.lang.String handle, java.lang.Object value)` Set Object into this YAML Section
`void` `setAll(java.util.Map<java.lang.String,?> values)` Set All Objects into this YAML Section
`void` `setAll(YAMLSection values)` Copy YAML Values to this YAML Section
`YAMLSection` `superSection()` Go up a level in the config (or null if this is the top layer)
`org.json.JSONObject` `toJSON()` Convert to JSON
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### YAMLSection

    public YAMLSection()

Creates an empty YAML Section

#### YAMLSection

    public YAMLSection(java.io.InputStream stream)
                throws org.yaml.snakeyaml.error.YAMLException

Creates a YAML Section from an Input Stream

Parameters:
  `stream` - Input Stream
Throws:
  `org.yaml.snakeyaml.error.YAMLException`

#### YAMLSection

    public YAMLSection(java.io.Reader reader)
                throws org.yaml.snakeyaml.error.YAMLException

Creates a YAML Section from a Reader

Parameters:
  `reader` - Reader
Throws:
  `org.yaml.snakeyaml.error.YAMLException`

#### YAMLSection

    public YAMLSection(org.json.JSONObject json)

Creates a YAML Section from JSON Contents

Parameters:
  `json` - JSON

#### YAMLSection

    public YAMLSection(java.lang.String str)
                throws org.yaml.snakeyaml.error.YAMLException

Creates a YAML Section from String

Parameters:
  `str` - String
Throws:
  `org.yaml.snakeyaml.error.YAMLException`

### Method Detail

#### getKeys

    public java.util.Set<java.lang.String> getKeys()

Get the Keys

Returns:
  KeySet

#### getValues

    public java.util.Collection<YAMLValue> getValues()

Get the Values

Returns:
  Values

#### contains

    public boolean contains(java.lang.String handle)

Check if a Handle exists

Parameters:
  `handle` - Handle
Returns:
  if that handle exists

#### remove

    public void remove(java.lang.String handle)

Remove an Object by Handle

Parameters:
  `handle` - Handle

#### clear

    public void clear()

Remove all Objects from this YAML Section

#### set

    public void set(java.lang.String handle,
                    java.lang.Object value)

Set Object into this YAML Section

Parameters:
  `handle` - Handle
  `value` - Value

#### safeSet

    public void safeSet(java.lang.String handle,
                        java.lang.Object value)

Set Object into this YAML Section without overwriting existing value

Parameters:
  `handle` - Handle
  `value` - Value

#### set

    public <V> void set(java.lang.String handle,
                        java.util.Collection<V> list)

Set Collection<V> into this YAML Section

Type Parameters:
  `V` - Collection Type
Parameters:
  `handle` - Handle
  `list` - Value

#### safeSet

    public <V> void safeSet(java.lang.String handle,
                            java.util.Collection<V> list)

Set Collection<V> into this YAML Section without overwriting existing value

Type Parameters:
  `V` - Collection Type
Parameters:
  `handle` - Handle
  `list` - Value

#### setAll

    public void setAll(java.util.Map<java.lang.String,?> values)

Set All Objects into this YAML Section

Parameters:
  `values` - Map to set

#### setAll

    public void setAll(YAMLSection values)

Copy YAML Values to this YAML Section

Parameters:
  `values` - Values

#### superSection

    public YAMLSection superSection()

Go up a level in the config (or null if this is the top layer)

Returns:
  Super Section

#### clone

    public YAMLSection clone()

Clone this YAML Section

Overrides:
  `clone` in class `java.lang.Object`
Returns:

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### toJSON

    public org.json.JSONObject toJSON()

Convert to JSON

Returns:
  JSON

#### get

    public YAMLValue get(java.lang.String handle)

Get an Object by Handle

Parameters:
  `handle` - Handle
Returns:
  Object

#### get

    public YAMLValue get(java.lang.String handle,
                         java.lang.Object def)

Get an Object by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Object

#### get

    public YAMLValue get(java.lang.String handle,
                         YAMLValue def)

Get an Object by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Object

#### getList

    public java.util.List<YAMLValue> getList(java.lang.String handle)

Get a List by Handle

Parameters:
  `handle` - Handle
Returns:
  Object

#### getList

    public java.util.List<YAMLValue> getList(java.lang.String handle,
                                             java.util.Collection<?> def)

Get a List by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Object List

#### getList

    public java.util.List<YAMLValue> getList(java.lang.String handle,
                                             java.util.List<? extends YAMLValue> def)

Get a List by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Object List

#### getObject

    public java.lang.Object getObject(java.lang.String handle)

Get a Object by Handle

Parameters:
  `handle` - Handle
Returns:
  Object

#### getObject

    public java.lang.Object getObject(java.lang.String handle,
                                      java.lang.Object def)

Get a Object by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Object

#### getObjectList

    public java.util.List<?> getObjectList(java.lang.String handle)

Get a Object List by Handle

Parameters:
  `handle` - Handle
Returns:
  Object List

#### getObjectList

    public java.util.List<?> getObjectList(java.lang.String handle,
                                           java.util.List<?> def)

Get a Object List by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Object List

#### getBoolean

    public boolean getBoolean(java.lang.String handle)

Get a Boolean by Handle

Parameters:
  `handle` - Handle
Returns:
  Boolean

#### getBoolean

    public boolean getBoolean(java.lang.String handle,
                              boolean def)

Get a Boolean by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Boolean

#### getBooleanList

    public java.util.List<java.lang.Boolean> getBooleanList(java.lang.String handle)

Get a Boolean List by Handle

Parameters:
  `handle` - Handle
Returns:
  Boolean List

#### getBooleanList

    public java.util.List<java.lang.Boolean> getBooleanList(java.lang.String handle,
                                                            java.util.List<java.lang.Boolean> def)

Get a Boolean List by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Boolean List

#### getSection

    public YAMLSection getSection(java.lang.String handle)

Get a YAML Section by Handle

Parameters:
  `handle` - Handle
Returns:
  YAML Section

#### getSection

    public YAMLSection getSection(java.lang.String handle,
                                  java.util.Map<java.lang.String,?> def)

Get a YAML Section by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  YAML Section

#### getSection

    public YAMLSection getSection(java.lang.String handle,
                                  YAMLSection def)

Get a YAML Section by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  YAML Section

#### getSectionList

    public java.util.List<YAMLSection> getSectionList(java.lang.String handle)

Get a YAML Section List by Handle

Parameters:
  `handle` - Handle
Returns:
  YAML Section List

#### getSectionList

    public java.util.List<YAMLSection> getSectionList(java.lang.String handle,
                                                      java.util.Collection<? extends java.util.Map<java.lang.String,?>> def)

Get a YAML Section List by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  YAML Section List

#### getSectionList

    public java.util.List<YAMLSection> getSectionList(java.lang.String handle,
                                                      java.util.List<? extends YAMLSection> def)

Get a YAML Section List by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  YAML Section List

#### getDouble

    public double getDouble(java.lang.String handle)

Get a Double by Handle

Parameters:
  `handle` - Handle
Returns:
  Double

#### getDouble

    public double getDouble(java.lang.String handle,
                            double def)

Get a Double by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Double

#### getDoubleList

    public java.util.List<java.lang.Double> getDoubleList(java.lang.String handle)

Get a Double List by Handle

Parameters:
  `handle` - Handle
Returns:
  Double List

#### getDoubleList

    public java.util.List<java.lang.Double> getDoubleList(java.lang.String handle,
                                                          java.util.List<java.lang.Double> def)

Get a Double List by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Double List

#### getFloat

    public float getFloat(java.lang.String handle)

Get a Float by Handle

Parameters:
  `handle` - Handle
Returns:
  Float

#### getFloat

    public float getFloat(java.lang.String handle,
                          float def)

Get a Float by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Float

#### getFloatList

    public java.util.List<java.lang.Float> getFloatList(java.lang.String handle)

Get a Float List by Handle

Parameters:
  `handle` - Handle
Returns:
  Float List

#### getFloatList

    public java.util.List<java.lang.Float> getFloatList(java.lang.String handle,
                                                        float def)

Get a Float List by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Float List

#### getInt

    public int getInt(java.lang.String handle)

Get an Integer by Handle

Parameters:
  `handle` - Handle
Returns:
  Integer

#### getInt

    public int getInt(java.lang.String handle,
                      int def)

Get an Integer by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Integer

#### getIntList

    public java.util.List<java.lang.Integer> getIntList(java.lang.String handle)

Get an Integer List by Handle

Parameters:
  `handle` - Handle
Returns:
  Integer List

#### getIntList

    public java.util.List<java.lang.Integer> getIntList(java.lang.String handle,
                                                        java.util.List<java.lang.Integer> def)

Get an Integer List by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Integer List

#### getLong

    public long getLong(java.lang.String handle)

Get a Long by Handle

Parameters:
  `handle` - Handle
Returns:
  Long

#### getLong

    public long getLong(java.lang.String handle,
                        long def)

Get a Long by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Long

#### getLongList

    public java.util.List<java.lang.Long> getLongList(java.lang.String handle)

Get a Long List by Handle

Parameters:
  `handle` - Handle
Returns:
  Long List

#### getLongList

    public java.util.List<java.lang.Long> getLongList(java.lang.String handle,
                                                      java.util.List<java.lang.Long> def)

Get a Long List by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Long List

#### getShort

    public short getShort(java.lang.String handle)

Get a Short by Handle

Parameters:
  `handle` - Handle
Returns:
  Short

#### getShort

    public short getShort(java.lang.String handle,
                          short def)

Get a Short by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Short

#### getShortList

    public java.util.List<java.lang.Short> getShortList(java.lang.String handle)

Get a Short List by Handle

Parameters:
  `handle` - Handle
Returns:
  Short List

#### getShortList

    public java.util.List<java.lang.Short> getShortList(java.lang.String handle,
                                                        java.util.List<java.lang.Short> def)

Get a Short List by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Short List

#### getRawString

    public java.lang.String getRawString(java.lang.String handle)

Get an Unparsed String by Handle

Parameters:
  `handle` - Handle
Returns:
  Unparsed String

#### getRawString

    public java.lang.String getRawString(java.lang.String handle,
                                         java.lang.String def)

Get an Unparsed String by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Unparsed String

#### getRawStringList

    public java.util.List<java.lang.String> getRawStringList(java.lang.String handle)

Get an Unparsed String List by Handle

Parameters:
  `handle` - Handle
Returns:
  Unparsed String List

#### getRawStringList

    public java.util.List<java.lang.String> getRawStringList(java.lang.String handle,
                                                             java.util.List<java.lang.String> def)

Get an Unparsed String List by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  Unparsed String List

#### getString

    public java.lang.String getString(java.lang.String handle)

Get a String by Handle

Parameters:
  `handle` - Handle
Returns:
  String

#### getString

    public java.lang.String getString(java.lang.String handle,
                                      java.lang.String def)

Get a String by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  String

#### getStringList

    public java.util.List<java.lang.String> getStringList(java.lang.String handle)

Get a String List by Handle

Parameters:
  `handle` - Handle
Returns:
  String List

#### getStringList

    public java.util.List<java.lang.String> getStringList(java.lang.String handle,
                                                          java.util.List<java.lang.String> def)

Get a String List by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  String List

#### getColoredString

    public java.lang.String getColoredString(java.lang.String handle,
                                             char color)

Get a Colored String by Handle

Parameters:
  `handle` - Handle
  `color` - Color Char to parse
Returns:
  Colored String

#### getColoredString

    public java.lang.String getColoredString(java.lang.String handle,
                                             java.lang.String def,
                                             char color)

Get a Colored String by Handle

Parameters:
  `handle` - Handle
  `def` - Default
  `color` - Color Char to parse
Returns:
  Colored String

#### getColoredStringList

    public java.util.List<java.lang.String> getColoredStringList(java.lang.String handle,
                                                                 char color)

Get a Colored String List by Handle

Parameters:
  `handle` - Handle
  `color` - Color Char to parse
Returns:
  Colored String List

#### getColoredStringList

    public java.util.List<java.lang.String> getColoredStringList(java.lang.String handle,
                                                                 java.util.List<java.lang.String> def,
                                                                 char color)

Get a Colored String List by Handle

Parameters:
  `handle` - Handle
  `def` - Default
  `color` - Color Char to parse
Returns:
  Colored String List

#### getUUID

    public java.util.UUID getUUID(java.lang.String handle)

Get a UUID by Handle

Parameters:
  `handle` - Handle
Returns:
  UUID

#### getUUID

    public java.util.UUID getUUID(java.lang.String handle,
                                  java.util.UUID def)

Get a UUID by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  UUID

#### getUUIDList

    public java.util.List<java.util.UUID> getUUIDList(java.lang.String handle)

Get a UUID List by Handle

Parameters:
  `handle` - Handle
Returns:
  UUID List

#### getUUIDList

    public java.util.List<java.util.UUID> getUUIDList(java.lang.String handle,
                                                      java.util.List<java.util.UUID> def)

Get a UUID List by Handle

Parameters:
  `handle` - Handle
  `def` - Default
Returns:
  UUID List

#### isBoolean

    public boolean isBoolean(java.lang.String handle)

Check if object is a Boolean by Handle

Parameters:
  `handle` - Handle
Returns:
  Object Boolean Status

#### isSection

    public boolean isSection(java.lang.String handle)

Check if object is a YAML Section by Handle

Parameters:
  `handle` - Handle
Returns:
  Object YAML Section Status

#### isDouble

    public boolean isDouble(java.lang.String handle)

Check if object is a Double by Handle

Parameters:
  `handle` - Handle
Returns:
  Object Double Status

#### isFloat

    public boolean isFloat(java.lang.String handle)

Check if object is a Float by Handle

Parameters:
  `handle` - Handle
Returns:
  Object Float Status

#### isInt

    public boolean isInt(java.lang.String handle)

Check if object is an Integer by Handle

Parameters:
  `handle` - Handle
Returns:
  Object Integer Status

#### isList

    public boolean isList(java.lang.String handle)

Check if object is a List by Handle

Parameters:
  `handle` - Handle
Returns:
  Object List Status

#### isLong

    public boolean isLong(java.lang.String handle)

Check if object is a Long by Handle

Parameters:
  `handle` - Handle
Returns:
  Object Long Status

#### isString

    public boolean isString(java.lang.String handle)

Check if object is a String by Handle

Parameters:
  `handle` - Handle
Returns:
  Object String Status

#### isUUID

    public boolean isUUID(java.lang.String handle)

Check if object is a UUID by Handle

Parameters:
  `handle` - Handle
Returns:
  Object UUID Status